=== modified file 'bzrlib/config.py'
--- bzrlib/config.py	2006-12-07 16:21:39 +0000
+++ bzrlib/config.py	2007-01-30 12:04:20 +0000
@@ -77,6 +77,7 @@
     osutils,
     symbol_versioning,
     urlutils,
+    win32utils,
     )
 import bzrlib.util.configobj.configobj as configobj
 """)
@@ -709,7 +710,7 @@
     base = os.environ.get('BZR_HOME', None)
     if sys.platform == 'win32':
         if base is None:
-            base = os.environ.get('APPDATA', None)
+            base = win32utils.get_appdata_location_unicode()
         if base is None:
             base = os.environ.get('HOME', None)
         if base is None:
@@ -755,7 +756,16 @@
     """
     import socket
 
-    # XXX: Any good way to get real user name on win32?
+    if sys.platform == 'win32':
+        name = win32utils.get_user_name_unicode()
+        if name is None:
+            raise errors.BzrError("Cannot autodetect user name.\n"
+                                  "Please, set your name with command like:\n"
+                                  'bzr whoami "Your Name <name@domain.com>"')
+        host = win32utils.get_host_name_unicode()
+        if host is None:
+            host = socket.gethostname()
+        return name, (name + '@' + host)
 
     try:
         import pwd

